Qt Cryptographic Architecture: QCA::Event Class Reference

Qt Cryptographic Architecture

Public Types | Public Member Functions | List of all members
QCA::Event Class Reference
QCA user API

`#include <QtCrypto>`

## Public Types
enum | PasswordStyle { StylePassword, StylePassphrase, StylePIN }
enum | Source { KeyStore, Data }
enum | Type { Password, Token }

## Public Member Functions
| Event ()
| Event (const Event &from)
QString | fileName () const
bool | isNull () const
KeyStoreEntry | keyStoreEntry () const
KeyStoreInfo | keyStoreInfo () const
Event & | operator= (const Event &from)
PasswordStyle | passwordStyle () const
void * | ptr () const
void | setPasswordData (PasswordStyle pstyle, const QString &fileName, void *ptr)
void | setPasswordKeyStore (PasswordStyle pstyle, const KeyStoreInfo &keyStoreInfo, const KeyStoreEntry &keyStoreEntry, void *ptr)
void | setToken (const KeyStoreInfo &keyStoreInfo, const KeyStoreEntry &keyStoreEntry, void *ptr)
Source | source () const
Type | type () const
| ~Event ()

## Detailed Description

An asynchronous event.

Events are produced in response to the library's need for some user intervention, such as entering a pin or password, or inserting a cryptographic token.

Event is an abstraction, so you can handle this need in a way that makes sense for your application.

Examples:
  eventhandlerdemo.cpp, and keyloader.cpp.

## Member Enumeration Documentation

## ◆ Type

enum QCA::Event::Type

Type of event

See also
  type()

Enumerator
Password | Asking for a password, PIN or passphrase.
Token | Asking for a token.

## ◆ Source

enum QCA::Event::Source

Source of the event

Events are associated with access to a KeyStore, or access to a file (or bytearray/stream or equivalent). This tells you the type of source that caused the Event.

See also
  source()
  fileName() for the name, if source is Event::Data
  keyStoreInfo() and keyStoreEntry() for the keystore and entry, if the source is Event::KeyStore

Enumerator
KeyStore | KeyStore generated the event.
Data | File or bytearray generated the event.

## ◆ PasswordStyle

enum QCA::Event::PasswordStyle

password variation

If the Type of Event is Password, PasswordStyle tells you whether it is a PIN, passphrase or password.

See also
  passwordStyle()

Enumerator
StylePassword | User should be prompted for a "Password".
StylePassphrase | User should be prompted for a "Passphrase".
StylePIN | User should be prompted for a "PIN".

## Constructor & Destructor Documentation

## ◆ Event() [1/2]

QCA::Event::Event | ( |  | ) |

Constructor.

## ◆ Event() [2/2]

QCA::Event::Event | ( | const Event & | from | ) |

Copy constructor.

Parameters

  from | the Event to copy from

## ◆ ~Event()

QCA::Event::~Event | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ operator=()

Event& QCA::Event::operator= | ( | const Event & | from | ) |

Assignment operator.

Parameters

  from | the Event to copy from

## ◆ isNull()

bool QCA::Event::isNull | ( |  | ) | const

test if this event has been setup correctly

Examples:
  eventhandlerdemo.cpp.

## ◆ type()

Type QCA::Event::type | ( |  | ) | const

the Type of this event

Examples:
  eventhandlerdemo.cpp, and keyloader.cpp.

## ◆ source()

Source QCA::Event::source | ( |  | ) | const

the Source of this event

Examples:
  eventhandlerdemo.cpp.

## ◆ passwordStyle()

PasswordStyle QCA::Event::passwordStyle | ( |  | ) | const

the style of password required.

This is not meaningful unless the Type is Event::Password.

See also
  PasswordStyle

Examples:
  eventhandlerdemo.cpp.

## ◆ keyStoreInfo()

KeyStoreInfo QCA::Event::keyStoreInfo | ( |  | ) | const

The info of the KeyStore associated with this event.

This is not meaningful unless the Source is KeyStore.

## ◆ keyStoreEntry()

KeyStoreEntry QCA::Event::keyStoreEntry | ( |  | ) | const

The KeyStoreEntry associated with this event.

This is not meaningful unless the Source is KeyStore.

## ◆ fileName()

QString QCA::Event::fileName | ( |  | ) | const

Name or other identifier for the file or byte array associated with this event.

This is not meaningful unless the Source is Data.

Examples:
  eventhandlerdemo.cpp.

## ◆ ptr()

void* QCA::Event::ptr | ( |  | ) | const

opaque data

## ◆ setPasswordKeyStore()

void QCA::Event::setPasswordKeyStore | ( | PasswordStyle | pstyle,
|  | const KeyStoreInfo & | keyStoreInfo,
|  | const KeyStoreEntry & | keyStoreEntry,
|  | void * | ptr
| ) |  |

Set the values for this Event.

This creates a Password type event, for a keystore.

Parameters

  pstyle | the style of information required (e.g. PIN, password or passphrase)
  keyStoreInfo | info about the keystore that the information is required for
  keyStoreEntry | the entry in the keystore that the information is required for
  ptr | opaque data

## ◆ setPasswordData()

void QCA::Event::setPasswordData | ( | PasswordStyle | pstyle,
|  | const QString & | fileName,
|  | void * | ptr
| ) |  |

Set the values for this Event.

This creates a Password type event, for a file.

Parameters

  pstyle | the style of information required (e.g. PIN, password or passphrase)
  fileName | the name of the file (or other identifier) that the information is required for
  ptr | opaque data

## ◆ setToken()

void QCA::Event::setToken | ( | const KeyStoreInfo & | keyStoreInfo,
|  | const KeyStoreEntry & | keyStoreEntry,
|  | void * | ptr
| ) |  |

Set the values for this Event.

This creates a Token type event.

Parameters

  keyStoreInfo | info about the keystore that the token is required for
  keyStoreEntry | the entry in the keystore that the token is required for
  ptr | opaque data

The documentation for this class was generated from the following file:

- qca_core.h